// cliView.cpp : implementation file
//

#include "stdafx.h"
#include "gamecli.h"
#include "cliView.h"
#include "talkedit.h"
#include "msg.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define IDC_ACTIONS		1
#define IDC_SAYWORD		2
#define IDC_MEMBERS		3
#define	IDC_WORDS		4
/////////////////////////////////////////////////////////////////////////////
// CGamecliView

IMPLEMENT_DYNCREATE(CGamecliView, CView)

CGamecliView::CGamecliView()
{
}

CGamecliView::~CGamecliView()
{
}


BEGIN_MESSAGE_MAP(CGamecliView, CView)
	//{{AFX_MSG_MAP(CGamecliView)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP

END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGamecliView drawing
void CGamecliView::Message(CMsg * pMsg)
{
	switch (pMsg->m_bAction )
	{
		case	ISTALKING:
		{
			while(!pMsg->m_msgList.IsEmpty())
			{
				CString strTemp = pMsg->m_msgList.RemoveHead();
				strTemp += _T("\r\n");
				int len = m_words.GetWindowTextLength();
				m_words.SetSel(len,len);
				m_words.ReplaceSel(strTemp);
			}
			break;
		}
		case	REFRESHMEMBERS:
		{
			m_members.ResetContent();
			while(!pMsg->m_msgList.IsEmpty())
			{
				CString temp = pMsg->m_msgList.RemoveHead();
				m_members.InsertString(-1,temp);
			}
			break;
		}
	}



}

void CGamecliView::OnDraw(CDC* pDC)
{
//	CDocument* pDoc = GetDocument();
	// TODO: add draw code here
}

/////////////////////////////////////////////////////////////////////////////
// CGamecliView diagnostics

#ifdef _DEBUG
void CGamecliView::AssertValid() const
{
	CView::AssertValid();
}

void CGamecliView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGamecliView message handlers

void CGamecliView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
	// TODO: Add your specialized code here and/or call the base class
	CRect rect , rectaction , rectmember  ,rectsayword, rectwords;
	GetClientRect(rect);
	rectaction.left = rectsayword.left = rect.left;
	rectaction.top = rectmember.top = rect.top;
	rectaction.right = rectsayword.right = (int) ((rect.right - rect.left)/4*3);
	rectaction.bottom = rect.bottom - 50 ;
	rectsayword.bottom = rectwords.bottom = rect.bottom ;
	rectsayword.top = rectaction.bottom + 10 ;
	rectmember.left = rectwords.left = rectaction.right + 10;
	rectmember.right = rectwords.right = rect.right ;
	rectmember.bottom = (int) ((rect.bottom - rect.left )/2) ;
	rectwords.top = rectmember.bottom + 10 ;
	//ؼ 
	m_actions.Create (ES_MULTILINE | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER  , rectwords, this, IDC_ACTIONS);	
	m_sayword.Create (ES_MULTILINE | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER, rectsayword, this, IDC_SAYWORD);	
	m_words.Create (ES_MULTILINE | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | WS_VSCROLL, rectaction, this, IDC_WORDS);	
	m_members.Create ( WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER, rectmember, this, IDC_MEMBERS);	

}

BOOL CGamecliView::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	// TODO: Add your specialized code here and/or call the base class
	//	AfxMessageBox("IDS_CREATEFAILED");
	return CView::OnNotify(wParam, lParam, pResult);
}

