#if !defined(AFX_CLIVIEW_H__4F74EBC1_1F59_11D4_8AEC_FA2B71697F7E__INCLUDED_)
#define AFX_CLIVIEW_H__4F74EBC1_1F59_11D4_8AEC_FA2B71697F7E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// cliView.h : header file
//
#include "talkedit.h"
class CTalkEdit;
class CGamecliDoc;
class CMsg;
/////////////////////////////////////////////////////////////////////////////
// CGamecliView view

class CGamecliView : public CView
{
protected:
	CGamecliView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CGamecliView)

// Attributes
public:
	CTalkEdit	m_sayword;
	CEdit	m_words;
	CEdit	m_actions;
	CListBox	m_members;
// Operations
public:
	void Message(CMsg * pMsg);

	CGamecliDoc* GetDocument();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGamecliView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CGamecliView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CGamecliView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

inline CGamecliDoc* CGamecliView::GetDocument()
   { return (CGamecliDoc*)m_pDocument; }


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIVIEW_H__4F74EBC1_1F59_11D4_8AEC_FA2B71697F7E__INCLUDED_)
