// svrView.cpp : implementation of the CGamesvrView class
//

#include "stdafx.h"
#include "gamesvr.h"
#include "mainfrm.h"
#include "svrDoc.h"
#include "svrView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGamesvrView

IMPLEMENT_DYNCREATE(CGamesvrView, CView)

BEGIN_MESSAGE_MAP(CGamesvrView, CView)
	//{{AFX_MSG_MAP(CGamesvrView)
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGamesvrView construction/destruction

#define NUM_COLUMNS 8

static _TCHAR *_gszColumnLabel[NUM_COLUMNS] =
{
	_T("û"), _T(""), _T("ַ"), _T("1"),
	_T("2"), _T("3"), _T("4"), _T("5")
};

static int _gnColumnFmt[NUM_COLUMNS] =
{
	LVCFMT_LEFT, LVCFMT_RIGHT, LVCFMT_RIGHT, LVCFMT_RIGHT,
		LVCFMT_RIGHT, LVCFMT_RIGHT, LVCFMT_RIGHT, LVCFMT_CENTER
};

static int _gnColumnWidth[NUM_COLUMNS] =
{
	150, 50, 50, 50, 100, 50, 50, 150
};


CGamesvrView::CGamesvrView()
{
	// TODO: add construction code here

}

CGamesvrView::~CGamesvrView()
{
}

BOOL CGamesvrView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs
	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CGamesvrView drawing

void CGamesvrView::OnDraw(CDC* pDC)
{
	CGamesvrDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}
void CGamesvrView::AddMember(LPCTSTR UserName)
{
	CString strTemp = UserName;
	m_listctrl.InsertItem(LVIF_TEXT|LVIF_STATE, 1, strTemp, 0, LVIS_SELECTED,0, 0);
//	m_listctrl.SetItemText(1,3,strTemp);
}

void CGamesvrView::DeleteMember(LPCTSTR UserName)
{
	CString strTemp = UserName;
	LVFINDINFO info;
	int nIndex;
	info.flags = LVFI_PARTIAL|LVFI_STRING;
	info.psz = UserName;
// Delete all of the items that begin with the string lpszmyString.
	while ((nIndex=m_listctrl.FindItem(&info)) != -1)
	{
		m_listctrl.DeleteItem(nIndex);
	}
}

void CGamesvrView::Message(LPCTSTR lpszMessage)
{
	CString strTemp = lpszMessage;
	strTemp += _T("\r\n");
	int len = m_edit1.GetWindowTextLength();
	m_edit1.SetSel(len,len);
	m_edit1.ReplaceSel(strTemp);
	//m_edit1.SetWindowText (strTemp);	
}

/////////////////////////////////////////////////////////////////////////////
// CGamesvrView diagnostics

#ifdef _DEBUG
void CGamesvrView::AssertValid() const
{
	CView::AssertValid();
}

void CGamesvrView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CGamesvrDoc* CGamesvrView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CGamesvrDoc)));
	return (CGamesvrDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGamesvrView message handlers

void CGamesvrView::OnInitialUpdate() 
{
	CView::OnInitialUpdate();
	
	// TODO: Add your specialized code here and/or call the base class
	// ʼlistctrlؼ
	CRect rect,rect1,rectList , rectEdit,rectToolbar;
	GetClientRect(&rect);

	rectList.top = rect.top ;
	rectList.left = rectEdit.left  = rect.left ;
	rectList.right = rectEdit.right = rect.right ;
	rectList.bottom = rect.bottom /2;
	rectEdit.top = rectList.bottom + 5;
	rectEdit.bottom = rect.bottom ;
	m_listctrl.Create(LVS_REPORT | LVS_ALIGNLEFT | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER,rectList, this, 0);
	
	int i;
	LV_COLUMN lvc;

	lvc.mask = LVCF_FMT | LVCF_WIDTH | LVCF_TEXT | LVCF_SUBITEM;

	for(i = 0; i<NUM_COLUMNS; i++)
	{
		lvc.iSubItem = i;
		lvc.pszText = _gszColumnLabel[i];
		lvc.cx = _gnColumnWidth[i];
		lvc.fmt = _gnColumnFmt[i];
		m_listctrl.InsertColumn(i,&lvc);
	}
	
	m_edit1.Create (ES_MULTILINE | WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER| WS_VSCROLL, rectEdit, this, 1);	

}

void CGamesvrView::OnSize(UINT nType, int cx, int cy) 
{
	if (cy > 20) 
	{
		CRect rect,rect1,rectList , rectEdit,rectToolbar;
		GetClientRect(&rect);
		rectList.top = rect.top ;
		rectList.left = rectEdit.left  = rect.left ;
		rectList.right = rectEdit.right = rect.right ;
		rectList.bottom = rect.bottom /2;
		rectEdit.top = rectList.bottom + 5;
		rectEdit.bottom = rect.bottom ;
		CWnd * pWndEdit = GetDlgItem(1);
		CWnd * pWndList = GetDlgItem(0);
	

	}
	CView::OnSize(nType, cx, cy);
}
