// cliDoc.h : interface of the CGamecliDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLIDOC_H__68347C1E_13B7_11D4_8350_807473C10000__INCLUDED_)
#define AFX_CLIDOC_H__68347C1E_13B7_11D4_8350_807473C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "gamecli.h"
class CClientSocket;
class CMsg;
class CGamecliDoc : public CDocument
{
protected: // create from serialization only
	CGamecliDoc();
	DECLARE_DYNCREATE(CGamecliDoc)

// Attributes
public:

//	BOOL m_bAutoChat;
	CString m_username;				//û
	CClientSocket* m_pSocket;
	CSocketFile* m_pFile;
	CArchive* m_pArchiveIn;
	CArchive* m_pArchiveOut;

// Operations
public:
	BOOL ConnectSocket(LPCTSTR lpszHandle, LPCTSTR lpszAddress, UINT nPort);
	void ProcessPendingRead();
	void SendMsg(ACTION msgAction , CString& strText);
	void ReceiveMsg();
	void DisplayMsg(CMsg * pMsg);
	CString GetIpAddress();
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGamecliDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	virtual void OnCloseDocument();
	virtual void DeleteContents();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGamecliDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGamecliDoc)
	afx_msg void OnFuncConnect();
	afx_msg void OnFuncClose();
	afx_msg void OnFuncSend();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CLIDOC_H__68347C1E_13B7_11D4_8350_807473C10000__INCLUDED_)
