//CMsg
#include "gamesvr.h"
class CListeningSocket;
class CClientSocket;
class CMsg;
class CGamesvrDoc;
class CRoom : public CObject
{
protected:
	DECLARE_DYNCREATE(CRoom)
public:
	CRoom();
	enum ROOMTYPE		//
	{
		SingleRoom,		//
		MultiRoom		//,ɶ
	};
// Attributes
public:
	CGamesvrDoc * pDoc;
	ROOMTYPE m_roomtype;		//˷
	CRoom* m_parentRoom;		//ָ򸸷
	CString m_strServer;
	CListeningSocket* m_pListen;		//ָSock
	CStringList m_msgList;				//Ϣб
	CPtrList m_memberList;				//Աб
	CPtrList m_roomList;				//ڵĵб
	CTime m_timeStarted;				//˷俪ʼʱ
// Operations
public:
	void CloseSocket(CClientSocket* pSocket , LPCTSTR Message , ACTION msgAction);
	BOOL BeginListen();
	void StopListening( void );		
	void ProcessPendingAccept();
	void ProcessPendingRead(CClientSocket* pSocket);
	CMsg* ReadMsg(CClientSocket* pSocket);
	void CloseAllSocket();
	void AddMember(LPCTSTR lpszMember);
	void DeleteMember(LPCTSTR UserName);
	void Message(LPCTSTR lpszMessage);
	void ProcessMsg(CClientSocket * pSocket , CMsg * pMsg);
	CMsg* AssembleTalkingWordsMsg(CClientSocket* pSocket);
	void SendMsg(CClientSocket* pSocket, CMsg* pMsg);
	void RefreshMembers();
	void UpdateClientsTalkingWords();
// Implementation
public:
	virtual ~CRoom();
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};
