// svrDoc.cpp : implementation of the CGamesvrDoc class
//

#include "stdafx.h"
#include "gamesvr.h"
#include "room.h"
#include "svrDoc.h"
#include "svrview.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGamesvrDoc

IMPLEMENT_DYNCREATE(CGamesvrDoc, CDocument)

BEGIN_MESSAGE_MAP(CGamesvrDoc, CDocument)
	//{{AFX_MSG_MAP(CGamesvrDoc)
	ON_COMMAND(ID_FUNC_LISTEN, OnFuncListen)
	ON_COMMAND(ID_FUNC_CLOSE, OnFuncClose)
	ON_COMMAND(ID_FUNC_SEND, OnFuncSend)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGamesvrDoc construction/destruction

CGamesvrDoc::CGamesvrDoc()
{
	// TODO: add one-time construction code here
	m_pRoom = NULL;
}

CGamesvrDoc::~CGamesvrDoc()
{
}

BOOL CGamesvrDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)
	m_pRoom = new CRoom;
	m_pRoom->pDoc = this;
	OnFuncListen();
	//m_pRoom->BeginListen ();
	return true;
}



/////////////////////////////////////////////////////////////////////////////
// CGamesvrDoc serialization

void CGamesvrDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


/////////////////////////////////////////////////////////////////////////////
// CGamesvrDoc diagnostics

#ifdef _DEBUG
void CGamesvrDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CGamesvrDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGamesvrDoc commands

void CGamesvrDoc::OnFuncListen() 
{
	// TODO: Add your command handler code here
	m_pRoom->CloseAllSocket ();
	if (!m_pRoom->BeginListen ())
		AfxMessageBox("Can't Begin Listen");
}

void CGamesvrDoc::OnFuncClose() 
{
	// TODO: Add your command handler code here
	if (AfxMessageBox("Ƿرշ?",MB_YESNO)==IDYES)
		m_pRoom->CloseAllSocket ();
}

void CGamesvrDoc::OnFuncSend() 
{
	// TODO: Add your command handler code here
	
}
void CGamesvrDoc::Message(LPCTSTR lpszMessage)
{
	((CGamesvrView*)m_viewList.GetHead())->Message(lpszMessage);
}
void CGamesvrDoc::AddMember(LPCTSTR UserName)
{
	((CGamesvrView*)m_viewList.GetHead())->AddMember(UserName);
}
void CGamesvrDoc::DeleteMember(LPCTSTR UserName)
{
	((CGamesvrView*)m_viewList.GetHead())->DeleteMember(UserName);
}